package com.adventurer_engine.common.entity.ai.branch_nodes;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.adventurer_engine.common.entity.ai.AIObject;
import com.adventurer_engine.common.entity.ai.NodeBase;
import com.adventurer_engine.common.entity.ai.NodeStatus;

public abstract class BranchNode extends NodeBase {
  public BranchNode(AIObject ai) {
    super(ai);
  }
  
  public NodeStatus actionTick(NodeStatus status) {
    switch (null.$SwitchMap$com$adventurer_engine$common$entity$ai$NodeStatus[status.ordinal()]) {
      case 1:
        return onChildReportRUNNING();
      case 2:
        return onChildReportSUCCESS();
      case 3:
        return onChildReportFAILURE();
      case 4:
        return onParentSendInit();
    } 
    return NodeStatus.FAILURE;
  }
  
  public abstract NodeStatus onChildReportRUNNING();
  
  public abstract NodeStatus onChildReportSUCCESS();
  
  public abstract NodeStatus onChildReportFAILURE();
  
  public abstract NodeStatus onParentSendInit();
}
